summaryrefslogtreecommitdiffstats
path: root/games/blasphemer
diff options
context:
space:
mode:
author Bloyburt <alexpen@startmail.com>2022-10-19 22:47:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-10-19 22:47:23 +0700
commitd97293868959d7813b6ade486dbbc9fcde4533ab (patch)
tree18e61af5de2d98c467f926884d190ac1e4a54ee9 /games/blasphemer
parent07147931f63270ba62af9bd143ac99c9534b9d2a (diff)
downloadslackbuilds-d97293868959d7813b6ade486dbbc9fcde4533ab.tar.gz
slackbuilds-d97293868959d7813b6ade486dbbc9fcde4533ab.tar.xz
games/blasphemer: Added (Free content package for Heretic Engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/blasphemer')
-rw-r--r--games/blasphemer/README24
-rw-r--r--games/blasphemer/blasphemer.SlackBuild73
-rw-r--r--games/blasphemer/blasphemer.info10
-rw-r--r--games/blasphemer/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/games/blasphemer/README b/games/blasphemer/README
new file mode 100644
index 0000000000..d646cd7613
--- /dev/null
+++ b/games/blasphemer/README
@@ -0,0 +1,24 @@
+Blasphemer aims to create a free content package for the Heretic engine,
+with a theme of metal-inspired dark fantasy.
+
+Any limit-removing Doom source port that is compatible with Heretic can
+be used to play Blasphemer. Blasphemer is an iwad, meaning the complete
+set of resources required for a game but still requires an executable
+engine to be played. You can turn your favorite Heretic pwads into
+Lovecraftian nightmares using Blasphemer.
+
+Blasphemer requires a Doom/Heretic engine to play, such as zdoom or
+crispy-heretic (both available from slackbuilds.org; the latter is
+part of the crispy-doom package). It does NOT require the original
+Heretic IWAD file, as it is a replacement for it.
+
+This package installs 2 wad files in /usr/share/games/doom:
+
+blasphem.wad - Replacement IWAD for Heretic.
+blasphdm.wad - Standalone deathmatch-only level pack.
+
+To use these data files with zdoom, simply build and install this
+package. You will be prompted for which IWAD file to use (i.e. which
+game to play) when starting zdoom. Other Doom/Heretic source ports,
+such as crispy-heretic, may require a command-line option in order to
+set the IWAD file.
diff --git a/games/blasphemer/blasphemer.SlackBuild b/games/blasphemer/blasphemer.SlackBuild
new file mode 100644
index 0000000000..2f35cf6630
--- /dev/null
+++ b/games/blasphemer/blasphemer.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+# Slackware build script for blasphemer
+
+# Copyright 2022 Bloyburt
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=blasphemer
+VERSION=${VERSION:-0.1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/share/games/doom $PKG/usr/doc/$PRGNAM-$VERSION
+
+unzip $CWD/blasphem-$VERSION.zip && unzip $CWD/blasphdm-$VERSION.zip
+chown -R root:root .
+chmod 644 *
+mv blasphem-$VERSION.wad blasphem.wad
+mv blasphdm-$VERSION.wad blasphdm.wad
+cp *.wad $PKG/usr/share/games/doom
+cd -
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/blasphemer/blasphemer.info b/games/blasphemer/blasphemer.info
new file mode 100644
index 0000000000..6a698e9f7f
--- /dev/null
+++ b/games/blasphemer/blasphemer.info
@@ -0,0 +1,10 @@
+PRGNAM="blasphemer"
+VERSION="0.1.7"
+HOMEPAGE="https://github.com/Blasphemer/blasphemer"
+DOWNLOAD="https://github.com/Blasphemer/blasphemer/releases/download/v0.1.7/blasphdm-0.1.7.zip https://github.com/Blasphemer/blasphemer/releases/download/v0.1.7/blasphem-0.1.7.zip"
+MD5SUM="485d3a58cf067d79f63ccd3b6c7b5f0c 289f9067f332cfb3b61cb824289c6f95"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Bloyburt"
+EMAIL="alexpen@startmail.com"
diff --git a/games/blasphemer/slack-desc b/games/blasphemer/slack-desc
new file mode 100644
index 0000000000..763be647b3
--- /dev/null
+++ b/games/blasphemer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+blasphemer: blasphemer (Free Software replacement for Heretic game data)
+blasphemer:
+blasphemer: Blasphemer aims to create a free content package for the Heretic
+blasphemer: engine, with a theme of metal-inspired dark fantasy.
+blasphemer:
+blasphemer: Any limit-removing Doom source port that is compatible with Heretic
+blasphemer: can be used to play Blasphemer. Blasphemer is an iwad, meaning the
+blasphemer: complete set of resources required for a game but still requires an
+blasphemer: executable engine to be played. You can turn your favorite Heretic
+blasphemer: pwads into Lovecraftian nightmares using Blasphemer.
+blasphemer: